SoGeoElement(3)

NAME
SoGeoElement - The SoGeoElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoGeoElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoGeoOrigin *origin)
FIXME: write doc.
static SoGeoOrigin * get (SoState *const state)
FIXME: write doc.

  Protected Member Functions
SoGeoElement (void)
virtual ~SoGeoElement ()
virtual void setElt (SoGeoOrigin *origin)
FIXME: doc.

  Additional Inherited Members

Detailed Description

The SoGeoElement class is yet to be documented. FIXME: write doc.

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoGeoElement::SoGeoElement (void) [protected]
Constructor.

  SoGeoElement::~SoGeoElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGeoElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGeoElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGeoElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGeoElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGeoElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

Author

Generated automatically by Doxygen for Coin from the source code.